pydo.genai.update_agents_workspace()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.genai.update_agents_workspace(
    workspace_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
    body={
        "agent_uuids": [...],
        "workspace_uuid": "123e4567-e89b-12d3-a456-426614174000",
    },
)
Returns JSONRaises HttpResponseError

Description

To move all listed agents a given workspace, send a PUT request to /v2/gen-ai/workspaces/{workspace_uuid}/agents.

Parameters

workspace_uuid string required

Workspace uuid to move agents to

agent_uuids array of strings optional

Example: ['example string']

Agent uuids

workspace_uuid string optional

Example: 123e4567-e89b-12d3-a456-426614174000

Workspace uuid to move agents to

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "agent_uuids": [
    "example string"
  ],
  "workspace_uuid": "123e4567-e89b-12d3-a456-426614174000"
}

resp = client.genai.update_agents_workspace(workspace_uuid="\"123e4567-e89b-12d3-a456-426614174000\"", body=req)

Response Example

Show Response Example
{
  "workspace": {
    "agents": [],
    "created_at": "2023-01-01T00:00:00Z",
    "created_by": "12345",
    "created_by_email": "[email protected]",
    "deleted_at": "2023-01-01T00:00:00Z",
    "description": "example string",
    "evaluation_test_cases": [],
    "name": "example name",
    "updated_at": "2023-01-01T00:00:00Z",
    "uuid": "123e4567-e89b-12d3-a456-426614174000"
  }
}

More Information

See /v2/gen-ai/workspaces/{workspace_uuid}/agents in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.